
From: "Antonino A. Daplas" <adaplas@hotpop.com>

This patch adds KERN_ constants to all of the printk()'s that need them in
drivers/video/tridentfb.c

Signed-off-by: James Nelson <james4765@gmail.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/tridentfb.c |    2 +-
 25-akpm/include/video/trident.h   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/tridentfb.c~tridentfb-clean-up-printks drivers/video/tridentfb.c
--- 25/drivers/video/tridentfb.c~tridentfb-clean-up-printks	2005-03-17 23:10:46.000000000 -0800
+++ 25-akpm/drivers/video/tridentfb.c	2005-03-17 23:10:46.000000000 -0800
@@ -1163,7 +1163,7 @@ static int __devinit trident_pci_probe(s
 	fb_info.var = default_var;
 	fb_info.device = &dev->dev;
 	if (register_framebuffer(&fb_info) < 0) {
-		output("Could not register Trident framebuffer\n");
+		printk(KERN_ERR "tridentfb: could not register Trident framebuffer\n");
 		return -EINVAL;
 	}
 	output("fb%d: %s frame buffer device %dx%d-%dbpp\n",
diff -puN include/video/trident.h~tridentfb-clean-up-printks include/video/trident.h
--- 25/include/video/trident.h~tridentfb-clean-up-printks	2005-03-17 23:10:46.000000000 -0800
+++ 25-akpm/include/video/trident.h	2005-03-17 23:10:46.000000000 -0800
@@ -9,7 +9,7 @@
 #define debug(f,a...)
 #endif
 
-#define output(f, a...) printk("tridentfb: " f, ## a)
+#define output(f, a...) pr_info("tridentfb: " f, ## a)
 
 #define Kb	(1024)
 #define Mb	(Kb*Kb)
_
